Name:		ndisc6
Version:	1.0.1
Release:	1%{?dist}
Summary:	IPv6 diagnostic tools

Group:		Applications/Communications
License:	GPLv2 or GPLv3
URL:		http://www.remlab.net/ndisc6/
Source0:	http://www.remlab.net/files/ndisc6/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package gathers a few diagnostic tools for IPv6 networks:
- ndisc6, which performs ICMPv6 Neighbor Discovery in userland,
- rdisc6, which performs ICMPv6 Router Discovery in userland,
- rltraceroute6, yet another IPv6 implementation of traceroute,
- tcptraceroute6, a TCP/IPv6-based traceroute implementation,
- tracert6, a ICMPv6 Echo Request based traceroute,
- tcpspray6, a TCP/IP Discard/Echo bandwidth metter.

%prep
%setup -q

%build
%configure --disable-suid-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/rdnssd
%attr(755,root,root) %{_sysconfdir}/rdnssd/merge-hook
%{_bindir}/addr2name
%{_bindir}/dnssort
%{_bindir}/name2addr
%{_sbindir}/rdisc6
%{_sbindir}/ndisc6
%{_sbindir}/rltraceroute6
%{_bindir}/tcpspray
%{_bindir}/tcpspray6
%{_sbindir}/tcptraceroute6
%{_sbindir}/tracert6
%{_sbindir}/rdnssd
%doc %{_mandir}/man1/addr2name.1.gz
%doc %{_mandir}/man1/dnssort.1.gz
%doc %{_mandir}/man1/name2addr.1.gz
%doc %{_mandir}/man1/tcpspray.1.gz
%doc %{_mandir}/man1/tcpspray6.1.gz
%doc %{_mandir}/man8/ndisc6.8.gz
%doc %{_mandir}/man8/rdisc6.8.gz
%doc %{_mandir}/man8/rltraceroute6.8.gz
%doc %{_mandir}/man8/tcptraceroute6.8.gz
%doc %{_mandir}/man8/tracert6.8.gz
%doc %{_mandir}/man8/rdnssd.8.gz

%changelog
* Tue Mar 15 2011 Stjepan Gros <stjepan.gros@gmail.com> - 1.0.1-1
- Bumped to a new upstream version
- Removed references to isatap daemon as it is deprecated

* Thu Dec  2 2010 Stjepan Gros <stjepan.gros@gmail.com> - 1.0.0-1
- Bumped to a new upstream version

* Mon Nov 16 2009 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.9-1
- Bumped to a new upstream version

* Sun Dec 29 2008 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.8-2
- Escaped unintentional macro in changelog section

* Sun May  4 2008 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.8-1
- Bumped version

* Sat Mar 15 2008 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.7-1
- Bumped version
- Removed patches

* Tue Jan 22 2008 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.5-1
- Synced with upstream version
- Restricted license to GPLv2 or GPLv3
- Use %%find_lang macro
- Rebased and cleaned up patch to exclude absolute paths
- Added patch to avoid duplicate netlink definition

* Sat Dec 22 2007 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.3-2
- Changed license to GPLv2+
- Removed absolute symlinks for manual pages
- Removed setuid bits on binaries
- Fixed changelog entries to include version

* Sat Dec 8 2007 Stjepan Gros <stjepan.gros@gmail.com> - 0.9.3-1
- Initial Release
